---
title: 'mod\_net\_multiplex'
---

This module enables Prosody to use the same port(s) for multiple
protocols, eg XMPP and HTTP.

# Configuration

``` {.lua}
-- Global section
modules_enabled = {
    -- Other modules
    "net_multiplex";
}
ports = { 1234, 2345 }
ssl_ports = { 5223 }
```

# Usage

See documentation on [port multiplexing](/doc/port_multiplexing) and
[general port and network configuration](/doc/ports).
