---
title: 'mod\_vcard'
---

Allow users to set vCards containing contact information.

# Details

mod\_vcard implements
[XEP-0054](http://xmpp.org/extensions/xep-0054.html). Users are not
required to fill in a vCard and can supply as much or as little as they
like.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "vcard"; -- Enable mod_vcard
    }
```

# Configuration

No options.

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "vcard"; -- Enable mod_vcard
    }
```
