---
title: '0.2.0 Release Notes'
---

*Released 2008-12-29*

Just under 4 weeks later, and we\'re still working away. This release
brings us daemon support, interoperability, performance and reliability
enhancements.

A summary of changes:

-   Fix to not send stream:features to incoming S2S connections (we
    don\'t support SASL/TLS on S2S yet). This fixes S2S with multiple
    other implementations, including Jabber XCP and jabberd2.
-   Disconnect connections sending bad XML, rather than throwing an
    error
-   Dialback fix to work with jabberd2
-   Support for remote servers doing dialback piggybacking. Fixes the
    potential problems with Google Talk domains.
-   Fix for major bug on TLS connections, which caused a big slow-down
    when a client connected with TLS
-   Support for daemonizing on POSIX systems
-   Latin1 support for DIGEST-MD5
-   Slightly more secure dialback secret generation :)
-   Fix to handle \"=\" in base64 data received from incorrect client
    implementations
-   IDNA fix for DIGEST-MD5 with some clients
-   Fix potential data loss when closing a connection with a write queue
    over a certain threshold
-   Port numbers are now customisable through the config file
-   Fixes for the ejabberd dump importer
-   Fix for dialback to work with internal components
-   Lots of performance improvements (2.5x increase in benchmark
    results)
-   General code improvements, and small internal fixes
-   Various logging improvements
-   Return errors for undeliverable stanzas over S2S

In addition there is a new BOSH module, and built-in HTTP server in
their early stages. Neither should be considered for real use yet,
though testing and bug reports are appreciated.

Known issues:

-   Features listed in \<stream:features\> may be duplicated (one per
    host). As there are no known interoperability issues stemming from
    this, we decided not to let it block the release.

<!-- -->

-   Harmless warnings are printed at startup about multiple modules
    being loaded. This is related to the above issue, and will also be
    fixed in the next release.
