---
title: '0.3.0 Release Notes'
---

*Released 2009-02-02*

Our first release of 2009 (on my birthday, incidentally) brings us an
array of changes, small and quite large [:smile:]{.icon}

We are pleased to announce the release of [Prosody](http://prosody.im/)
0.3.0.

Possibly the most dramatic change from the previous release is that of
the license, from GPL to the more permissive [MIT/X11](/source/mit).
Lots of under-the-hood fixes and improvements went on, but we still
managed to slip in a few new exciting features.

Prosody is a lightweight
[Jabber](http://jabber.org/)/[XMPP](http://xmpp.org/) server written in
[Lua](http://lua.org/). It aims to be flexible, easy to extend, and
simple to use for both users and developers alike.

The following is a summary of changes since the previous version:

-   Changed licensing from GPLv2 to MIT/X11
-   Handle missing runtime dependencies even better
-   Handle missing config file nicely
-   New syntax for defining server components in the config file
-   Module reloading (to apply code changes without a restart)
-   Logging improvements
-   Fix for ejabberd data import with incoming-only subscriptions
-   Syslog support for POSIX systems
-   Report correct PID on daemonization
-   Add support for writing out pidfile during daemonization
-   Stringprep support
-   Fixed replies to some stanzas which generated an error
-   Much improved [BOSH](http://xmpp.org/tech/bosh.shtml) support
-   Rate-limiting for in-band registration
-   Black/whitelists for in-band registration
-   Don\'t fail for SASL auth with empty realm

We released [0.2.0 Release Notes](/doc/release/0.2.0) last month with
experimental BOSH support, which in this release is now quite stable.
Please report any bugs found.

This release in turn brings us initial
[MUC](http://xmpp.org/tech/muc.shtml) support. Notably missing are admin
actions, status change broadcast, history on join, and persistence
between restarts. This should all be implemented prior to the next (0.4)
release.
