---
title: '0.4.1 Release Notes'
---

*Released 2009-05-05*

We are pleased to announce the release of [Prosody
0.4.1](/download/start).

Although the version number may make this appear a \"minor\" release, it
is far from that. Although real feature development has still been going
on in the main branch, we have put a lot of work into polishing
Prosody\'s integration with the system. Hence 0.4.1 has in addition to
bugfixes, much improved logging, signal handling, and a new
\'prosodyctl\' utility.

Prosody is a lightweight Jabber/XMPP server written in Lua. It aims to
be flexible, easy to extend, and simple to use for both users and
developers alike.

The following is a summary of changes since the previous version:

-   Revamped logging system, now much more flexible
-   Fix broken presence stanzas sometimes coming from MUC
-   Add a dataforms lib for modules to use
-   Always send \</stream:stream\> when a stream is closing
-   Non-blocking DNS lookups integrated into s2s
-   Much cleaner XEP-0114 implementation internally
-   Fix incorrect routing of some type=error presence stanzas
-   Allow mod\_debug and mod\_console to run alongside each other
-   Don\'t try to use SSL when it is configured but not installed
-   Allow greater control over the listening network interfaces
-   Support for handling POSIX signals, clean shutdown on SIGTERM
-   Allow pidfile and syslog to be used without daemonizing
-   Fix to not reject some characters valid in XML tags
-   Multiple fixes for configure script
-   Additions to array/set libraries
-   Refuse to run as the root user
-   Add s2s:show() command to console to display all s2s connections
-   New prosodyctl utility for managing Prosody and user accounts
