---
title: '0.9.3 Release Notes'
---

*Released: 2014-02-10*

We are pleased to announce Prosody 0.9.3, the latest release of our
stable 0.9 branch. This is mainly a bug fix release.

**Note:** If you are upgrading from 0.8.x or earlier, please read the
[0.9.0 upgrade notes](/doc/release/0.9.0)!

A summary of changes in this release:

-   A config file passed as command line argument is no longer forgotten
    when config is reloaded
-   MUC: Allow admins to always bypass restrict\_room\_creation
-   Strip trailing \'.\' when normalizing hostnames
-   HTTP: Prevent silent connection failures
-   Components: Allow easier overriding of component authentication by
    plugins
-   Components: Enable TCP keepalives
-   Migrator: Better error reporting and improved robustness
-   S2S: Include IP in log messages, if hostname is unavailable
-   TLS: Log error when initialization fails

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.3.tar.gz](https://prosody.im/downloads/source/prosody-0.9.3.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.3.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
