---
title: '0.9.7 Release Notes'
---

*Released: 2014-10-15*

We are pleased to announce Prosody 0.9.7, the latest release of our
stable 0.9 branch. This is mainly a bug fix release, which fixes an
interoperability issue introduced in 0.9.6.

**Note:** If you are upgrading from 0.8.x or earlier, please read the
[0.9.0 upgrade notes](/doc/release/0.9.0)!

A summary of changes in this release:

-   util.stanza: Don\'t XML-escape whitespace
-   prosodyctl: Fix traceback in \'about\' command with LuaRocks 2.2.0

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.7.tar.gz](https://prosody.im/downloads/source/prosody-0.9.7.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.7.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
