---
title: 'mod\_admin\_adhoc'
---

Ad-hoc commands allow you to control XMPP servers and clients remotely
over XMPP.

# Configuration

There is no special configuration for this module. After enabling it
Prosody will automatically offer commands to server
[admins](/doc/admins) via the \"Execute command\" option in their
client.

# Client support {#client_support}

Clients known to support ad-hoc commands include: Psi, Gajim, Pidgin,
tkabber, poezio and probably others.

# Example

``` {.code .lua}
    modules_enabled = {
        ... other modules here ...
        "admin_adhoc";
        ... maybe other modules here ...
```
