---
title: mod_admin_shell
---

This module provides all [administrative commands](/doc/console)
previously in [mod_admin_telnet](/doc/modules/mod_admin_telnet) which is
now a method of accessing the commands.

To securely access the console see
[mod_admin_socket](/doc/modules/mod_admin_socket).

# Usage

``` {.code .lua}
modules_enabled = {
    -- Other modules
    "admin_socket"; -- Enable mod_admin_socket
    -- This also enables mod_admin_shell
}
```

To access the [shell](/doc/console), run (as root / with sudo):

``` {.bash}
prosodyctl shell
```

# Supported versions

This module will be available in Prosody 0.12.
