---
title: 'mod\_blocklist'
---

Users will often need to block specific users from contacting them and
enabling mod\_blocklist give users the ability to do that providing
their clients support it.

# Details

mod\_blocklist implements
[XEP-0191](http://xmpp.org/extensions/xep-0191.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "blocklist"; -- Enable mod_blocklist
    }
```

# Configuration


# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "blocklist"; -- Enable mod_blocklist
    }
```
