---
abstract: Handles normal XMPP client connections
title: 'mod\_c2s'
---

This is the module that handles normal XMPP client connections, by
default on port 5222.

It is enabled by default.

# Configuration

`c2s_timeout`
:   How long a client has to authenticate after connecting before being
    disconnected. Defaults to 300 i.e. 5 minutes.

`c2s_close_timeout`
:   How long to wait after closing a session to wait for the client to
    disconnect. Defaults to 5 seconds.

`c2s_tcp_keepalives`
:   Whether to enable TCP keepalives. Enabled by default.

`c2s_stanza_size_limit`
:   Size limit on individual stanzas, specified in bytes. Defaults to 10 MiB,
    must not be set lower than 10000 (per the XMPP specification). Added in
    0.11.7. See also [s2s_stanza_size_limit](/doc/s2s#stanza_restrictions).
