---
title: 'mod\_message'
---

This is an autoloaded module that allows users to send messages and
store messages if the user is offline for retrieval when they log in.

# Details

mod\_message implements
[RFC3921bis](http://xmpp.org/internet-drafts/draft-saintandre-rfc3921bis-07.html).

# Usage

``` {.code .lua}
    modules_disabled = {
        -- Other modules
        "message"; -- Disable mod_message
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_disabled = {
        -- Other modules
        "message"; -- Disable mod_message
    }
```
