---
title: 'mod\_pep\_simple'
---

::: {.alert .alert-info}
This page documents the version of mod\_pep that was provided until
0.10 and replaced by a more advanced version in 0.10.0.
The previous version was renamed to mod\_pep\_simple and is still
available for those that either don't need the advanced features or want
the performance of this simpler and more optimized module.
:::

Often users will want to publish details about their mood, the music
they are listening to or the activity they are currently taking part in.
Enabling mod\_pep will allow users to publish that information and have
interested parties receive it.

# Details

mod\_pep\_simple implements
[XEP-0163](http://xmpp.org/extensions/xep-0163.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "pep_simple"; -- Enable mod_pep_simple
    }
```

# Configuration

No options
