---
title: 'mod\_ping'
---

Enabling mod\_ping will let clients establish whether they have a stable
connection to a server or not it by sending an XMPP ping.

# Details

mod\_ping implements
[XEP-0199](http://xmpp.org/extensions/xep-0199.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "ping"; -- Enable mod_ping
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "ping"; -- Enable mod_ping
    }
```
