---
title: 'mod\_private'
---

Some clients offer users the ability to store arbitrary notes or client
specific information on the server such as chatroom bookmarks which
Prosody supports via mod\_private.

# Details

mod\_private implements
[XEP-0049](http://xmpp.org/extensions/xep-0049.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "private"; -- Enable mod_private
    }
```

# Configuration

No options

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "private"; -- Enable mod_private
    }
```
