---
title: 'mod\_storage\_internal'
---

Internal file-based storage provider.

# Details

mod\_storage\_internal is Prosody\'s default storage provider. It stores
data as text files in the data directory.

# Usage

In your config file:

``` {.code .lua}
    storage = "internal"
```

# Configuration

This module honours the global config option
[\'\'data\_path\'\'](/doc/configure#general_server_settings), which
defaults to an appropriate path for your system, typically
`/var/lib/prosody` on Linux-based platforms.
