---
abstract: Platform support for when the platform is unknown
title: 'mod\_unknown'
---

Prosody automatically detects the current platform and loads a
corresponding module to handle platform-specific features, e.g.
daemonize or logging integration.

This module is automatically loaded when neither
[POSIX](/doc/modules/mod_posix) nor [Windows](/doc/modules/mod_windows)
is detected. It does nothing and mostly serves as a placeholder.
