---
title: 'mod\_vcard4'
---

This module provides the "iq" based protocol described in
[XEP-0292](https://xmpp.org/extensions/xep-0292.html). The information
is stored to, and retrieved from the `urn:xmpp:vcard4` node of the users
[PEP service](/doc/modules/mod_pep) and respects the access control
(i.e. `access_model`) settings configured there.

# Usage

``` {.lua}
modules_enabled = {
    -- Other modules
    "vcard4";
}
```

# Configuration

Configuration is handled though [PEP](/doc/modules/mod_pep) on the
`urn:xmpp:vcard4` node.
