---
title: '0.11.1'
---

Released: *2018-11-28*

# Summary

This is a small bugfix release for some issues that were identified since the
release, mainly for the CSI and traffic optimisations.

## Changes

Summary of all changes in this release:

## Fixes and improvements

- mod\_csi_simple: Use the same event name when firing as when hooking (fixes [#1245](https://prosody.im/issues/issue/1245))
- mod\_csi_simple: Don't set <delay> stamps on <iq> stanzas (fixes [#1248](https://prosody.im/issues/issue/1248))
- mod\_csi_simple: Bypass importance event in active mode (fixes [#1249](https://prosody.im/issues/issue/1249))

## Minor changes

- mod\_csi: Set session.state to simplify CSI modules
- MUC: Fix traceback on muc#admin query with missing <item> child ([#1242](https://prosody.im/issues/issue/1242))


## Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)

If you are upgrading from a 0.10.x release, please read the [0.11.0 release notes](0.11.0).
