---
title: '0.11.11'
---

Released: *2021-12-20*

# Summary

This release contains some fixes to PEP to control memory usage, along
with a small batch of fixes for issues discovered since the last
release.

This will likely be the last release of the 0.11 branch.

## Changes

Summary of all changes in this release:

## Fixes and improvements

- net.server\_epoll: Prioritize network events over timers to improve performance under heavy load
- mod\_pep: Add some memory usage limits
- mod\_pep: Prevent creation of services for non-existent users
- mod\_pep: Free resources on user deletion (needed a restart previously)

## Minor changes

- mod\_pep: Free resources on reload
- mod\_c2s: Indicate stream secure state in error text when no stream features to offer
- MUC: Fix logic for access to affiliation lists
- net.server\_epoll: Improvements to shutdown procedure [#1670](https://issues.prosody.im/1670)
- net.server\_epoll: Fix potential issue with rescheduling of timers
- prosodyctl: Fix to ensure LuaFileSystem is loaded when needed
- util.startup: Fix handling of unknown command line flags (e.g. `-h`)
- Fix version number reported as 'unknown' on *BSD


## Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)
