---
title: '0.4.0 Release Notes'
---

*Released 2009-04-01*

We are pleased to announce the release of [Prosody
0.4.0](/download/start).

It\'s no joke. We have spent most effort this release improving Prosody
internals, ensuring we have a solid base on which to build future
features. Numerous bugs have been fixed and it is recommended that all
users of [0.3.0 Release Notes](/doc/release/0.3.0) upgrade.

That said, we do have a few new things in this release, namely roster
versioning (allowing clients to cache the roster, instead of downloading
it each time they connect) and support for external components, allowing
the use of gateways/transports and other services.

Prosody is a lightweight Jabber/XMPP server written in Lua. It aims to
be flexible, easy to extend, and simple to use for both users and
developers alike.

The following is a summary of changes since the previous version:

-   Numerous stability fixes (highly recommended 0.3 users upgrade)
-   XEP-0114 support for external components (experimental)
-   mod\_xmlrpc: Allow RPC calls over HTTP/XMPP to command a server
-   Roster versioning, to allow faster logins (experimental)
-   Fix BOSH race condition with multiple idle sessions
-   Handle missing \<priority\> in initial client presence
-   Fix for correct pass-through of stanzas with prefixed attributes
-   Fix routing of some stanzas directed to bare JIDs
-   Config improvements, better error reporting, Include command
-   SASL ANONYMOUS support for anonymous login when enabled
-   mod\_version now reports OS type (configurable)
-   MUC: Support PMs, vCards, and misc. reliability fixes
-   Module API: Add stanza.clone, timers, and more
-   Various logging improvements

We would appreciate feedback from those testing roster versioning - we
are aware of no clients that support it currently, but hopefully that
can soon change.

Testing external component support would greatly help too, there are
many different components, and we have only tried a couple.

All the known issues listed in the previous release have been fixed.
