---
title: '0.9.12 Release Notes'
---

*Released: 2017-01-10*

We are pleased to announce a new minor release from our stable branch.

This release fixes a few minor issues, and fixes valid certificates
failing to verify correctly when Prosody 0.9.x is used with LuaSec 0.6.

A summary of changes in this release:

## Minor changes {#minor_changes}

-   Dependencies: Fix certificate verification failures when using
    LuaSec 0.6 (fixes [\#781](https://prosody.im/issues/issue/781))
-   mod\_s2s: Lower log message to \'warn\' level, standard for
    remotely-triggered protocol issues
-   certs/Makefile: Remove -c flag from chmod call (a GNU extension)
-   Networking: Prevent writes after a handler is closed (fixes
    [\#783](https://prosody.im/issues/issue/783))

# Download

As usual, download instructions for many platforms can be found on our
[download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release,
[let us know!](https://prosody.im/discuss)
