---
title: '0.9.2 Release Notes'
---

*Released: 2014-01-07*

We are pleased to announce Prosody 0.9.2, the latest release of our
stable 0.9 branch. The main focus of this release is on a couple of
security improvements.

**Note:** If you are upgrading from 0.8.x or earlier, please read the
[0.9.0 upgrade notes](/doc/release/0.9.0)!

A summary of changes in this release:

-   Debian/Ubuntu packages fixed to always generate per-system certs
-   TLS: Improved [cipher string](/doc/advanced_ssl_config#ciphers), and
    use Prosody\'s preferred ciphers instead of the client\'s
-   MUC: Fix for Spark clients not displaying room lists

For more details behind the security improvements, see the [release
announcement](http://blog.prosody.im/prosody-0-9-2-released/).

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.2.tar.gz](https://prosody.im/downloads/source/prosody-0.9.2.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.2.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
